---
updatedAt: 2025-06-12T23:57:56.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# List Virtual Accounts

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/virtual-accounts": {
      "get": {
        "summary": "List Virtual Accounts",
        "description": "",
        "operationId": "list-virtual-accounts",
        "parameters": [
          {
            "name": "currency",
            "in": "query",
            "description": "3 letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code of the Virtual Account currency. Multiple `currency` params can be provided.",
            "schema": {
              "type": "string",
              "enum": [
                "GBP",
                "EUR",
                "USD",
                "AUD"
              ]
            }
          },
          {
            "name": "endUserId",
            "in": "query",
            "description": "Id of the End User whose Virtual Accounts you want to list.<br>If not set, all Virtual Accounts for the Member and End Users will be listed.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "query",
            "description": "One or more Virtual Account id's. Multiple `id` params can be provided.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "masterFiatAccountId",
            "in": "query",
            "description": "Id of the Master Fiat Account to list all the virtual accounts linked to it.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "owner.type",
            "in": "query",
            "schema": {
              "type": "string",
              "enum": [
                "MEMBER",
                "END_USER"
              ]
            }
          },
          {
            "name": "search",
            "in": "query",
            "description": "Search by the virtual account `label`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Status of the Virtual Account. Multiple values can be provided.",
            "schema": {
              "type": "string",
              "enum": [
                "CREATED",
                "ACTIVE",
                "BLOCKED",
                "CLOSED",
                "ACTIVATION_FAILED"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n   {\n      \"id\":\"vac_5opkx8g1jo50lz4m3e\",\n      \"masterFiatAccountId\":\"fac_oka2yeb7y5z05np3jv\",\n      \"status\":\"ACTIVE\",\n      \"currency\":\"GBP\",\n      \"owner\":{\n         \"type\":\"END_USER\",\n         \"id\":\"eus_j82rl497g47g5ykvzn\"\n      },\n      \"businessId\":\"biz_emv4j231821oaz56yx\",\n      \"label\":\"1st VA\",\n      \"bankDetails\":{\n         \"bankName\":\"Modulr FS Ltd.\",\n         \"accountHolderName\":\"Satoshi Nakamoto\",\n         \"country\":\"GB\",\n         \"accountNumber\":\"71005215\",\n         \"routingCodes\":[\n            {\n               \"value\":\"000000\",\n               \"type\":\"SORT_CODE\"\n            }\n         ]\n      },\n      \"createdAt\":1654177698929,\n      \"updatedAt\":1654177700236,\n      \"metadata\":null\n   },\n   {...},\n   {...},\n]"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/virtual-accounts \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```